Package org.apache.ignite.plugin

## Interface ExtensionRegistry

    public interface ExtensionRegistry

Context that allows to register extensions.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends Extension> void` `registerExtension​(Class<T> extensionItf, T extensionImpl)` Registers extension provided by plugin.

### Method Detail

#### registerExtension

    <T extends Extension> void registerExtension​(Class<T> extensionItf,
                                                 T extensionImpl)

Registers extension provided by plugin.

Type Parameters:
  `T` - Extension type.
Parameters:
  `extensionItf` - Extension interface.
  `extensionImpl` - Extension implementation.